package com.mcmoddev.orespawn;

import com.google.common.base.Function;

import cyano.electricadvantage.init.Blocks;
import mmd.orespawn.api.OreSpawnAPI;
import mmd.orespawn.api.SpawnLogic;

public class ElectricAdvantageOreSpawn implements Function<OreSpawnAPI, SpawnLogic> {

	@Override
	public SpawnLogic apply(OreSpawnAPI api) {
		SpawnLogic logic = api.createSpawnLogic();

		logic.getDimension(OreSpawnAPI.DIMENSION_WILDCARD)
//				.addOre(Blocks.lithium_ore.getDefaultState(), 8, 2, 0.125, 1,  32)
				.addOre(Blocks.sulfur_ore.func_176223_P(), 16, 8, 1, 1, 32);

		return logic;
	}
}
