package cyano.electricadvantage.blocks;

import cyano.electricadvantage.init.Power;
import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.Entity;
import net.minecraft.util.BlockRenderLayer;
import net.minecraft.util.math.AxisAlignedBB;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;
import net.minecraft.world.World;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

import java.util.List;

public class ElectricScaffoldBlock extends cyano.poweradvantage.api.simple.BlockSimplePowerConduit{

	public ElectricScaffoldBlock() {
		super(Material.field_76233_E, 0.75f, 2f/16f, Power.ELECTRIC_POWER);
	}

	@Override
	public AxisAlignedBB func_185496_a(IBlockState state, IBlockAccess source, BlockPos pos) {
		return field_185505_j;
	}
	@Override
	public void func_185477_a(final IBlockState bs, final World world, final BlockPos coord,
									  final AxisAlignedBB box, final List collisionBoxList,
									  final Entity entity) {
		super.func_185492_a(coord, box, collisionBoxList, field_185505_j);
	}

	@Override
	public boolean func_149686_d(IBlockState bs) {
		return false;
	}

	@Override
	public boolean func_149662_c(IBlockState bs) {
		return false;
	}

	@SideOnly(Side.CLIENT)
	@Override
	public BlockRenderLayer func_180664_k() {
		return BlockRenderLayer.CUTOUT;
	}


}
