package cyano.electricadvantage.util.crafting;

import net.minecraft.item.ItemStack;
import net.minecraftforge.oredict.OreDictionary;

public class ItemRecord{
	final int hashCode;
	final ItemStack item;
	
	public ItemRecord(ItemStack itemStack){
		this.item = itemStack.func_77946_l();
		if(item.func_77952_i() == OreDictionary.WILDCARD_VALUE
				|| item.func_77973_b().func_77645_m()
				|| item.func_77952_i() == 0){
			hashCode = item.func_77977_a().hashCode();
		} else {
			hashCode = item.func_77977_a().hashCode() * 57 * item.func_77952_i();
		}
	}
	
	public ItemStack getItem(){return item;}
	
	@Override public int hashCode(){ return hashCode;}
	
	@Override 
	public boolean equals(Object other){
		if(other == this) return true;
		if(other == null) return false;
		if(other instanceof ItemRecord && this.hashCode() == other.hashCode()){
			if(this.item.func_77952_i() == OreDictionary.WILDCARD_VALUE || this.item.func_77973_b().func_77645_m()){
				return this.item.func_77973_b().equals(((ItemRecord)other).item.func_77973_b());
			} else {
				return ItemStack.func_179545_c(item, ((ItemRecord)other).item);
			}
		}
		return false;
	}
}
